Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class CreditCardImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.CreditCardImpl

public class CreditCardImpl
extends BelongingImpl
implements CreditCard

Information needed to submit a transaction to a credit card company on behalf of a customer.

See Also:
  `CreditCard`, `CreditCardHome`, Serialized Form

Field Summary
`Address` | `billingAddress` billingAddress [CreditCard] <*>------> [`theory.smart.axiom.contact.Address`]
`java.lang.String` | `company` company [CreditCard] <*>------> [`String`]
`java.sql.Date` | `expirationDate` expirationDate [CreditCard] <*>------> [`java.sql.Date`]
`java.lang.String` | `name` name [CreditCard] <*>------> [`String`]
`java.lang.String` | `number` number [CreditCard] <*>------> [`String`]
`java.lang.String` | `type` type [CreditCard] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`CreditCardImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `findCreditCardTypeFromNumber(java.lang.String creditCardNumber)`
`Address` | `getBillingAddress()` Get the value of billingAddress
`java.lang.String` | `getCompany()` Get the value of company
`java.sql.Date` | `getExpirationDate()` Get the value of expirationDate
`java.lang.String` | `getName()` Get the value of name
`java.lang.String` | `getNumber()` Get the value of number
`java.lang.String` | `getType()` Get the value of type
`void` | `setBillingAddress(Address billingAddress)` Set the value of billingAddress
`void` | `setCompany(java.lang.String company)` Set the value of company
`void` | `setExpirationDate(java.sql.Date expirationDate)` Set the value of expirationDate
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setNumber(java.lang.String number)` Set the value of number
`void` | `setType(java.lang.String type)` Set the value of type
`boolean` | `validate()` Method to validate the credit card number and expiration date.
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### number

    public java.lang.String number

                        number
       [CreditCard] <*>------> [String]

### type

    public java.lang.String type

                        type
       [CreditCard] <*>------> [String]

### expirationDate

    public java.sql.Date expirationDate

                        expirationDate
       [CreditCard] <*>------> [java.sql.Date]

### name

    public java.lang.String name

                        name
       [CreditCard] <*>------> [String]

### company

    public java.lang.String company

                        company
       [CreditCard] <*>------> [String]

### billingAddress

    public Address billingAddress

                        billingAddress
       [CreditCard] <*>------> [theory.smart.axiom.contact.Address]

Constructor Detail

### CreditCardImpl

    public CreditCardImpl()

Method Detail

### getNumber

    public java.lang.String getNumber()

  Get the value of number
  Specified by:
    getNumber in interface CreditCard
  Returns:
    number.

### setNumber

    public void setNumber(java.lang.String number)

  Set the value of number
  Specified by:
    setNumber in interface CreditCard
  Parameters:
    `number` - number to be added

### getType

    public java.lang.String getType()

  Get the value of type
  Specified by:
    getType in interface CreditCard
  Returns:
    type.

### setType

    public void setType(java.lang.String type)

  Set the value of type
  Specified by:
    setType in interface CreditCard
  Parameters:
    `type` - type to be added

### getExpirationDate

    public java.sql.Date getExpirationDate()

  Get the value of expirationDate
  Specified by:
    getExpirationDate in interface CreditCard
  Returns:
    expirationDate.

### setExpirationDate

    public void setExpirationDate(java.sql.Date expirationDate)

  Set the value of expirationDate
  Specified by:
    setExpirationDate in interface CreditCard
  Parameters:
    `expirationDate` - expirationDate to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface CreditCard
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface CreditCard
  Parameters:
    `name` - name to be added

### getCompany

    public java.lang.String getCompany()

  Get the value of company
  Specified by:
    getCompany in interface CreditCard
  Returns:
    company.

### setCompany

    public void setCompany(java.lang.String company)

  Set the value of company
  Specified by:
    setCompany in interface CreditCard
  Parameters:
    `company` - company to be added

### getBillingAddress

    public Address getBillingAddress()

  Get the value of billingAddress
  Specified by:
    getBillingAddress in interface CreditCard
  Returns:
    billingAddress.

### setBillingAddress

    public void setBillingAddress(Address billingAddress)

  Set the value of billingAddress
  Specified by:
    setBillingAddress in interface CreditCard
  Parameters:
    `billingAddress` - billingAddress to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### validate

    public boolean validate()

  Method to validate the credit card number and expiration date. Also derives other info from the card number like the card type.
  Specified by:
    validate in interface CreditCard

### findCreditCardTypeFromNumber

    public java.lang.String findCreditCardTypeFromNumber(java.lang.String creditCardNumber)

  Specified by:
    findCreditCardTypeFromNumber in interface CreditCard

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.